import request from '@/utils/request'
// 转账
export function trade(data) {
	return request({
		url: '/api/user/trade',
		method: 'post',
		data
	});
}

// 场次列表
export function auctions(data) {
	return request({
		url: '/api/auction/auctions',
		method: 'get',
		data
	});
}

// 预下单
export function changeCalculator(data) {
	return request({
		url: '/api/user/changeCalculator',
		method: 'post',
		data
	});
}
//充值计算
export function chargeCalculator(data) {
	return request({
		url: '/api/user/chargeCalculator',
		method: 'post',
		data
	});
}
//充值
export function charge(data) {
	return request({
		url: '/api/user/charge',
		method: 'post',
		data
	});
}
// 支付提交
export function change(data) {
	return request({
		url: '/api/user/change',
		method: 'post',
		data
	});
}

export function logout(data) {
	return request({
		url: '/api/user/logout',
		method: 'post',
		data
	});
}
//预约场次 
export function appointment(data) {
	return request({
		url: '/api/auction/appointment',
		method: 'post',
		data
	});
}
//竞拍订单
export function auctionOrders(data) {
	return request({
		url: '/api/auction/auctionOrders',
		method: 'get',
		data
	});
}
//资金记录
export function payLog(data) {
	return request({
		url: '/api/auction/payLog',
		method: 'get',
		data
	});
}
//预约记录
export function appointmentList(data) {
	return request({
		url: '/api/auction/appointmentList',
		method: 'get',
		data
	});
}
// 付款
export function pay(data) {
	return request({
		url: '/api/auction/pay',
		method: 'post',
		data
	});
}
// 推荐人
export function spreadList(data) {
	return request({
		url: '/api/user/spreadList',
		method: 'get',
		data
	});
}
// 金额明细
export function getTokenLog(data) {
	return request({
		url: '/api/user/getTokenLog',
		method: 'get',
		data
	});
}
// 提现明细
export function extractLog(data) {
	return request({
		url: '/api/user/extractLog',
		method: 'get',
		data
	});
}
// 解冻
export function unfreeze(data) {
	return request({
		url: '/api/user/unfreeze',
		method: 'post',
		data
	});
}
// 个人中心团队
export function group_info(data) {
	return request({
		url: '/api/user/group_info',
		method: 'post',
		data
	});
}

// 提币
export function extract(data) {
	return request({
		url: '/api/user/extract',
		method: 'post',
		data
	});
}

// 捡漏记录
export function leak_list(data) {
	return request({
		url: '/api/auction/leak_list',
		method: 'get',
		data
	});
}
// 捡漏记录
export function order(data) {
	return request({
		url: '/api/auction/order',
		method: 'post',
		data
	});
}

// 捡漏数量
export function leak_num(data) {
	return request({
		url: '/api/auction/leak_num',
		method: 'post',
		data
	});
}

// 检测是否支付过
export function pay_check(data) {
	return request({
		url: '/api/auction/pay_check',
		method: 'post',
		data
	});
}

// 补票
export function tax(data) {
	return request({
		url: '/api/auction/tax',
		method: 'post',
		data
	});
}
//结束订单
export function finish(data) {
	return request({
		url: '/api/auction/finish',
		method: 'post',
		data
	});
}


